#ifndef __IRONCLAD_WARD_H__
#define __IRONCLAD_WARD_H__

#include "potion.h"

class ironclad_ward final: public potion {
        inline static const float ATK_MUL = 0.5f;
        static const int DEF_MUL = 3;
        inline static const fraction HR_MUL = {3, 4};
        static const int DURATION = 12;
public:
        ironclad_ward(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
